replace_if.hpp File Reference

## Functions

template<typename I , typename S , typename C , typename T , typename P = identity>
auto | ranges::replace_if (I first, S last, C pred, T const &new_value, P proj=P{}) -> I requires input_iterator< I > &&sentinel_for< S, I > &&indirect_unary_predicate< C, projected< I, P >> &&writable< I, T const &>
| function template `replace_if`
template<typename Rng , typename C , typename T , typename P = identity>
auto | ranges::replace_if (Rng &&rng, C pred, T const &new_value, P proj=P{}) -> safe_iterator_t< Rng > requires input_range< Rng > &&indirect_unary_predicate< C, projected< iterator_t< Rng >, P >> &&writable< iterator_t< Rng >, T const &>